import {mapFromObject} from '../util';

interface Input {
	tiles: {[key: string]: string};
	collision: string[];
	layers: string[][][];
}

export default class MapData {
	public tiles: Map<string, string>;
	public collision: string[];
	public layers: string[][][];

	public width: number;
	public height: number;

	constructor(data: Input) {
		this.tiles = mapFromObject(data.tiles);
		this.collision = data.collision;
		this.layers = data.layers;

		this.height = this.collision.length;
		this.width = this.collision[0].length;
	}
}
